
<nz-modal 
	nzTitle="The first Modal"
	[nzFooter]="footer" 
	[(nzVisible)]="isVisible"
	[nzMaskClosable]="false"
	(nzOnCancel)="closeModal(false)">
	<div 
		fxLayout="row" 
		fxLayoutAlign="center center">
		<nz-spin 
			class="w-full"
			[nzSpinning]="isLoading">
			<discord-info-fields
				[setDiscordInfo]="user.discordInfo"
				(valuesChanged)="fetchDiscordInfo($event)">
			</discord-info-fields>
		</nz-spin>
	</div>
</nz-modal>

<!-- nz-modal custom footer-->
<ng-template #footer>
	<button 
		nz-button 
		nzType="default" 
		(click)="closeModal(false)">
		Cancel
	</button>
	<button 
		nz-button 
		nzType="primary" 
		(click)="closeModal(true)"
		[disabled]="!allowSave()">
		Save
	</button>
</ng-template>